org.codehaus.groovy.runtime

## Class AbstractComparator<T>

- java.lang.Object
- - org.codehaus.groovy.runtime.AbstractComparator<T>

- All Implemented Interfaces:
    Comparator<T>

      public abstract class AbstractComparator<T>
      extends Object
      implements Comparator<T>

  Author:
    Andres Almiray

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractComparator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `compare`

- - ### Constructor Detail

    - #### AbstractComparator

          public AbstractComparator()

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in interface `Comparator<T>`
      Overrides:
        `equals` in class `Object`